summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 308906f)
raw | patch | inline | side by side (parent: 308906f)
author | Junio C Hamano <junkio@cox.net> | |
Sat, 12 Aug 2006 01:47:50 +0000 (18:47 -0700) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Sat, 12 Aug 2006 01:52:43 +0000 (18:52 -0700) |
Since repo-config does not fail in non-git directory, it is not
a good command to use to test the git-ness nor validate the
repository revision of $GIT_DIR.
Original patch by Robert Shearman but with minor fixes.
Signed-off-by: Junio C Hamano <junkio@cox.net>
a good command to use to test the git-ness nor validate the
repository revision of $GIT_DIR.
Original patch by Robert Shearman but with minor fixes.
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-sh-setup.sh | patch | blob | history |
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index d15747f1ed8f875a3c1bb7129e50bfbc8d2b033f..42f9b1c125578a7158392b53ec8792d6c6bbb273 100755 (executable)
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
exit
esac
+# Make sure we are in a valid repository of a vintage we understand.
if [ -z "$SUBDIRECTORY_OK" ]
then
: ${GIT_DIR=.git}
- : ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}
-
- # Make sure we are in a valid repository of a vintage we understand.
- GIT_DIR="$GIT_DIR" git repo-config --get core.nosuch >/dev/null
- if test $? = 128
- then
- exit
- fi
+ GIT_DIR=$(GIT_DIR="$GIT_DIR" git-rev-parse --git-dir) || exit
else
GIT_DIR=$(git-rev-parse --git-dir) || exit
fi
+: ${GIT_OBJECT_DIRECTORY="$GIT_DIR/objects"}